Name:           perl-Starman
Version:        0.2007
Release:        1%{?dist}
Summary:        High-performance preforking PSGI/Plack web server
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Starman/
Source0:        http://www.cpan.org/authors/id/M/MI/MIYAGAWA/Starman-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 1:5.8.1
BuildRequires:  perl(Data::Dump)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(HTTP::Date)
BuildRequires:  perl(HTTP::Parser::XS)
BuildRequires:  perl(HTTP::Status)
BuildRequires:  perl(Net::Server) >= 0.91
BuildRequires:  perl(Net::Server::SS::PreFork)
BuildRequires:  perl(parent)
BuildRequires:  perl(Plack) >= 0.9931
BuildRequires:  perl(Server::Starter)
BuildRequires:  perl(Test::More)
Requires:       perl(Data::Dump)
Requires:       perl(HTTP::Date)
Requires:       perl(HTTP::Parser::XS)
Requires:       perl(HTTP::Status)
Requires:       perl(Net::Server) >= 0.91
Requires:       perl(Net::Server::SS::PreFork)
Requires:       perl(parent)
Requires:       perl(Plack) >= 0.9931
Requires:       perl(Server::Starter)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Starman is a PSGI perl web server that has unique features such as:

%prep
%setup -q -n Starman-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Tue Nov 23 2010 Dave Cross <dave@mag-sol.com> 0.2007-1
- Specfile autogenerated by cpanspec 1.78.
